#ifndef	lint
static char sccsid[] = "@(#)s_isdigit.c	1.5 3/21/94 SyddWare";
#endif
/*****************************************************************************
* Classification:    Unclassified
*
* Project:           Generic utilities
*
* Module Name:       s_isdigit.c
*
* Description:
*   String version of isdigit() macro - returns TRUE if all chars in
*	input string cause isdigit() to return TRUE, FALSE otherwise.
*
* Calling Sequence:
*   
*
*   Inputs:
*       None
*
*   Outputs:
*       None
*
*   Returns:
*       None
*
* Error Conditions and Actions:
*   N/A
*
* Side Effects:
*   N/A
*
* Limitations:
*   N/A
*
* Notes:
*   N/A
*
* Revision History
*   DATE    S/W ENGINEER     DESCRIPTION OF WORK
* --------  ---------------  ------------------------------------------------
*
******************************************************************************/
#include "generi_.h"
BOOLEAN	s_isdigit(string)
	char *string;
{	/* if string consists only of digits, return TRUE, otherwise FALSE */
	while (string && *string && isdigit(*string))
		++string;
	return (!string || *string) ? FALSE : TRUE;
}
