
/*****************************************************************************
* @(#)generi_.h	1.6 4/23/94 SyddWare
*
* Classification:  Unclassified
*
* Project:         SyddWare
*
* Binding Name:    generi_.h
*
* Description:
*   Contains generic constants & macros for SDRTOOL not specific to any aspect 
*	of the project.
*
* Notes:
*	N/A
*
* Revision History
*   DATE    S/W ENGINEER     DESCRIPTION OF WORK
* --------  ---------------  ------------------------------------------------
* 04/01/93  J.R.(Sydd)Souza  Created
******************************************************************************/
#ifndef	GENERI__H
#	define	GENERI__H

#	include "generi.h"
#	include "generi_t.h"

#	define	FREE	free
#	define	MALLOC	malloc
#	define	CALLOC	calloc

int		dump
   PROTO((	unsigned char    buffer[],
			int number,
			FILE *fptr ));

int		emptyline
   PROTO((	char    line[] ));

int		firstword
   PROTO((	char    src[],
			char	find[] ));

int		secondword
   PROTO((	char    src[],
			char	find[] ));

void	strip_whitespace
	PROTO((	char	*string ));

BOOLEAN	s_toupper
   PROTO((	char    *string ));

BOOLEAN	s_tolower
   PROTO((	char    *string ));

BOOLEAN	s_truncate
   PROTO((	char    *tstr,
   			int     num ));

BOOLEAN	s_insert
   PROTO((	char    istr[],
   			char    ins[] ));

#endif /* GENERI__H no source lines of code after this line */
/* end file : generi_.h */
